Skip to main content
POST
/
api
/
storage
/
buckets
/
{bucketName}
/
objects
/
{objectKey}
/
download-strategy
Get Download Strategy (Deprecated — use GET on the canonical path)
curl --request POST \
  --url https://api.example.com/api/storage/buckets/{bucketName}/objects/{objectKey}/download-strategy \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.example.com/api/storage/buckets/{bucketName}/objects/{objectKey}/download-strategy"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.example.com/api/storage/buckets/{bucketName}/objects/{objectKey}/download-strategy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "method": "direct",
  "url": "https://s3-bucket.s3.us-east-2.amazonaws.com/app-key/public-assets/logo.png",
  "expiresAt": "2025-09-05T01:00:00Z",
  "headers": {}
}
{
"error": "VALIDATION_ERROR",
"message": "Invalid request",
"statusCode": 400,
"nextActions": "Check your request parameters"
}

Authorizations

x-api-key
string
header
required

Path Parameters

bucketName
string
required
Pattern: ^[a-zA-Z0-9_-]+$
objectKey
string
required

Response

Download strategy details

method
enum<string>
required

Download method:

  • direct: Direct URL access (S3 public buckets or local storage)
  • presigned: Secure URL with signature and expiration (S3 private buckets)
Available options:
presigned,
direct
Example:

"direct"

url
string
required

URL to download the file from

Example:

"https://s3-bucket.s3.us-east-2.amazonaws.com/app-key/public-assets/logo.png"

expiresAt
string<date-time>

Expiration time for presigned URLs (only present when method is 'presigned')

Example:

"2025-09-05T01:00:00Z"

headers
object

Optional headers to include in the download request